/*
 * bsp_IMU.h
 *
 *  Created on: Oct 26, 2023
 *      Author: shiya
 */

#ifndef INC_BSP_IMU_H_
#define INC_BSP_IMU_H_

#include "bsp_include.h"

typedef struct
 {
  int32_t MPU_Pitch;//10
  int32_t MPU_Roll;

  int32_t MPU_Gro_X;
  int32_t MPU_Gro_Y;
  int32_t MPU_Gro_Z;

  int32_t MPU_Acc_X;
  int32_t MPU_Acc_Y;
  int32_t MPU_Acc_Z;


 }SP_BSP_MPU6050;



//uint8_t GF_BSP_IMU_Init(void);
uint8_t GF_BSP_MPU_Init(void);
void GF_BSP_GetAngle();
uint8_t GF_MSP_IMU_6050_Init(SP_BSP_MPU6050 *_IMU6050_Angle);
#endif /* INC_BSP_IMU_H_ */
